Subject: bug#44930: I can reproduce it

From: Francesco Potortì <[email-masked]>
Date: Mon, 30 Nov 2020 22:46:56 +0100

In this moment I have a *w3m* buffer on a live Emacs.  If I switch to it
on a text frame, everything is well.  If I switch to it on an X display,
the frame dies (but Emacs survives).  The error is

X protocol error: BadMatch (invalid parameter attributes) on protocol request 73

until I don't kill the buffer, I can reproduce the error at will.  I
have no idea how to debug it.  If I am instructed, I can try until Emacs
is alive.

Xpra is apparently not relevant.  The same things happens on display :7
(where the Xpra server is running) and on display localhost:10.0

If I set debug-on-error this is what I read in the backtrace:

Debugger entered--Lisp error: (error "X protocol error: BadMatch (invalid parameter attributes) on protocol request 73")
  redisplay_internal\ \(C\ function\)()